import { Decorator, MethodDeclaration, Printer, TextRange } from "typescript";
export type ExpressionElementType = {
    text: string;
};
export interface ExpressionArgumentType extends TextRange {
    text: string;
    elements: Array<ExpressionElementType>;
}
export type ExpressionType = {
    expression: {
        escapedText: string;
    };
    arguments: Array<ExpressionArgumentType>;
};
export declare abstract class CodeHelper {
    protected printer: Printer;
    protected getStepTexts(method: MethodDeclaration): Array<string>;
    protected static isStepDecorator(d: Decorator): boolean;
    protected hasStepDecorator(method: MethodDeclaration): boolean;
    protected hasStepText(method: MethodDeclaration, stepText: string): boolean;
}
