"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeHelper = void 0;
const typescript_1 = require("typescript");
class CodeHelper {
    constructor() {
        this.printer = (0, typescript_1.createPrinter)();
    }
    getStepTexts(method) {
        const dec = (0, typescript_1.getDecorators)(method);
        if (!dec) {
            return [];
        }
        const stepDecExp = dec.filter(CodeHelper.isStepDecorator)[0]
            .expression;
        const arg = stepDecExp.arguments[0];
        if (!arg.text && arg.elements) {
            return arg.elements.map((e) => {
                return e.text;
            });
        }
        return [arg.text];
    }
    static isStepDecorator(d) {
        const decExp = d.expression;
        return decExp.expression.escapedText === "Step";
    }
    hasStepDecorator(method) {
        const dec = (0, typescript_1.getDecorators)(method);
        if (dec) {
            return !!dec && dec.some(CodeHelper.isStepDecorator);
        }
        return false;
    }
    hasStepText(method, stepText) {
        const dec = (0, typescript_1.getDecorators)(method);
        if (dec) {
            const stepDecExp = dec.filter(CodeHelper.isStepDecorator)[0]
                .expression;
            const arg = stepDecExp.arguments[0];
            if (!arg.text && arg.elements) {
                return arg.elements.some((e) => {
                    return e.text === stepText;
                });
            }
            return arg.text === stepText;
        }
        return false;
    }
}
exports.CodeHelper = CodeHelper;
