import { Range } from './Range';
import { StepRegistryEntry } from "./StepRegistryEntry";
import { CommonFunction } from '../utils/Util';
export declare class StepRegistry {
    private _registry;
    private _continueOnFailureFunctions;
    constructor();
    get(text: string): StepRegistryEntry;
    isImplemented(text: string): boolean;
    hasMultipleImplementations(stepText: string): boolean;
    add(text: string, entry: StepRegistryEntry): void;
    addContinueOnFailure(func: CommonFunction, exceptions?: Array<string>): void;
    getContinueOnFailureFunctions(func: CommonFunction): Array<string>;
    getStepPositions(filePath: string): Array<{
        stepValue: string;
        span: Range;
    }>;
    getStepTexts(): Array<string>;
    isFileCached(filePath: string): boolean;
    removeSteps(filePath: string): void;
    setInstanceForMethodsIn(file: string, instance: Record<string, unknown>): void;
    clear(): void;
}
declare const registry: StepRegistry;
export default registry;
