"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionProcessor = void 0;
const Util_1 = require("../utils/Util");
const messages_pb_1 = require("../gen/messages_pb");
class ExecutionProcessor {
    createExecutionResponse(result) {
        const res = new messages_pb_1.ExecutionStatusResponse();
        res.setExecutionresult(result);
        return res;
    }
    executeMethod(instance, method, params) {
        return __awaiter(this, void 0, void 0, function* () {
            if (Util_1.Util.isAsync(method)) {
                yield method.apply(instance, params);
            }
            else {
                method.apply(instance, params);
            }
        });
    }
}
exports.ExecutionProcessor = ExecutionProcessor;
