"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutionStartingProcessor = void 0;
const inspector_1 = require("inspector");
const HookRegistry_1 = require("../models/HookRegistry");
const HookType_1 = require("../models/HookType");
const HookExecutionProcessor_1 = require("./HookExecutionProcessor");
const ATTACH_DEBUGGER_EVENT = "Runner Ready for Debugging";
class ExecutionStartingProcessor extends HookExecutionProcessor_1.HookExecutionProcessor {
    constructor() {
        super();
        this.hookType = HookType_1.HookType.BeforeSuite;
    }
    static sleepFor(ms) {
        const now = new Date().getTime();
        while (new Date().getTime() < now + ms) { /* do nothing */ }
    }
    getExecutionInfo(message) {
        if (process.env.DEBUGGING) {
            const port = parseInt(process.env.DEBUG_PORT);
            console.log(ATTACH_DEBUGGER_EVENT);
            (0, inspector_1.open)(port, "127.0.0.1", true);
            ExecutionStartingProcessor.sleepFor(1000);
        }
        const req = message;
        return req.getCurrentexecutioninfo();
    }
    getApplicableHooks() {
        return HookRegistry_1.default.get(this.hookType, []);
    }
}
exports.ExecutionStartingProcessor = ExecutionStartingProcessor;
